Package weka.classifiers.functions.explicitboundaries.gemoetry

# Class Plane

java.lang.Object
weka.classifiers.functions.explicitboundaries.gemoetry.Plane

All Implemented Interfaces:
  `Serializable`, `weka.core.Debuggable`

public class Plane extends Object implements Serializable, weka.core.Debuggable

Since:
  0.1.0
Version:
  2.3.0
Author:
  pawel
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Plane(weka.core.Instances dataSpace)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `distanceToPlane(weka.core.Instance vec)`
  Calculate the distance of the vector to the plane
  `weka.core.Instances`
  `getDataHeader()`
  `DotProduct`
  `getDotProduct()`
  `weka.core.Instance`
  `getNormalVector()`
  `double`
  `getOffset()`
  `boolean`
  `isDebug()`
  `boolean`
  `isNormalizeDistance()`
  `weka.core.Instance`
  `planeBasedInstance(weka.core.Instance instance)`
  `weka.core.Instances`
  `planeBasedInstances(weka.core.Instances instances)`
  `weka.core.Instance`
  `projectOnPlane(weka.core.Instance inst)`
  `weka.core.Instances`
  `projectOnPlane(weka.core.Instances instances)`
  `void`
  `setDebug(boolean debug)`
  `void`
  `setDotProduct(DotProduct dotProduct)`
  `void`
  `setNormalizeDistance(boolean normalizeDistance)`
  `void`
  `setNormalVector(weka.core.Instance normalVector)`
  `void`
  `setOffset(double offset)`
  `double`
  `sideOfThePlane(weka.core.Instance vec)`
  Dtermines on which side of the plane the vector is.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Plane

    public Plane(weka.core.Instances dataSpace)

- ## Method Details

  - ### distanceToPlane

    public double distanceToPlane(weka.core.Instance vec) throws Exception
    Calculate the distance of the vector to the plane
    Parameters:
      `vec` - for which the distance is calculated
    Returns:
      distance
    Throws:
      `Exception` - if instance is incompatible

  - ### sideOfThePlane

    public double sideOfThePlane(weka.core.Instance vec) throws Exception
    Dtermines on which side of the plane the vector is. The side is determined by the sign of the value
    Parameters:
      `vec` -
    Returns:
    Throws:
      `Exception`

  - ### projectOnPlane

    public weka.core.Instance projectOnPlane(weka.core.Instance inst) throws Exception
    Throws:
      `Exception`

  - ### projectOnPlane

    public weka.core.Instances projectOnPlane(weka.core.Instances instances) throws Exception
    Throws:
      `Exception`

  - ### planeBasedInstances

    public weka.core.Instances planeBasedInstances(weka.core.Instances instances) throws Exception
    Throws:
      `Exception`

  - ### planeBasedInstance

    public weka.core.Instance planeBasedInstance(weka.core.Instance instance) throws Exception
    Throws:
      `Exception`

  - ### getNormalVector

    public weka.core.Instance getNormalVector()
    Returns:
      the normalVector

  - ### setNormalVector

    public void setNormalVector(weka.core.Instance normalVector) throws Exception
    Parameters:
      `normalVector` - the normalVector to set
    Throws:
      `Exception` - When the normal vector is incompatible with the dataset

  - ### getOffset

    public double getOffset()
    Returns:
      the offset

  - ### setOffset

    public void setOffset(double offset)
    Parameters:
      `offset` - the offset to set

  - ### getDotProduct

    public DotProduct getDotProduct()
    Returns:
      the dotProduct

  - ### setDotProduct

    public void setDotProduct(DotProduct dotProduct)
    Parameters:
      `dotProduct` - the dotProduct to set

  - ### getDataHeader

    public weka.core.Instances getDataHeader()
    Returns:
      the dataHeader

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isNormalizeDistance

    public boolean isNormalizeDistance()
    Returns:
      the normalizeDistance

  - ### setNormalizeDistance

    public void setNormalizeDistance(boolean normalizeDistance)
    Parameters:
      `normalizeDistance` - the normalizeDistance to set

  - ### isDebug

    public boolean isDebug()
    Specified by:
      `isDebug` in interface `weka.core.Debuggable`

  - ### setDebug

    public void setDebug(boolean debug)
    Specified by:
      `setDebug` in interface `weka.core.Debuggable`